From c4c525e1ab3e017d76f0149afb7ff329de7c0656 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 4 Jun 2019 03:50:22 -0700
Subject: [PATCH 1/2] wlroots: update to 0.6.0

---
 common/shlibs            | 2 +-
 srcpkgs/wlroots/template | 9 ++++-----
 2 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index fe557cc4411..9be07e65808 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3319,7 +3319,7 @@ libcodecore.so.0 libio.elementary.code-3.0_1
 libio.elementary.music-core.so.0 libio.elementary.music-5.0_1
 libpantheon-files-core.so.4 libio.elementary.files-4.1.4_1
 libpantheon-files-widgets.so.4 libio.elementary.files-4.1.4_1
-libwlroots.so.2 wlroots-0.5.0_1
+libwlroots.so.3 wlroots-0.6.0_1
 libbaseencode.so.1 libbaseencode-1.0.9_1
 libcotp.so.12 libcotp-1.2.1_1
 libunarr.so.1 libunarr-1.0.1_1
diff --git a/srcpkgs/wlroots/template b/srcpkgs/wlroots/template
index 875cca11243..810001a1b63 100644
--- a/srcpkgs/wlroots/template
+++ b/srcpkgs/wlroots/template
@@ -1,8 +1,7 @@
 # Template file for 'wlroots'
 pkgname=wlroots
-reverts="0.6.0_1"
-version=0.5.0
-revision=2
+version=0.6.0
+revision=1
 build_style=meson
 configure_args="-Dlibcap=enabled -Dlogind=enabled -Dlogind-provider=elogind
  -Dxcb-errors=enabled -Dxcb-icccm=enabled -Dxwayland=enabled
@@ -12,13 +11,13 @@ makedepends="elogind-devel libcap-devel wayland-devel wayland-protocols
  MesaLib-devel libinput-devel libxkbcommon-devel libdrm-devel pixman-devel
  libxcb-devel xcb-util-cursor-devel xcb-util-devel xcb-util-image-devel
  xcb-util-keysyms-devel xcb-util-renderutil-devel xcb-util-wm-devel
- xcb-util-errors-devel xcb-util-xrm-devel"
+ xcb-util-errors-devel xcb-util-xrm-devel freerdp-devel"
 short_desc="Module Wayland compositor library"
 maintainer="maxice8 <thinkabit.ukim@gmail.com>"
 license="MIT"
 homepage="https://github.com/swaywm/wlroots"
 distfiles="https://github.com/swaywm/wlroots/archive/${version}.tar.gz"
-checksum=3c6d422aaa7ac09a1e4a88d93f07a4d6ef6c5e4d76c3422c240a5783265ed0e3
+checksum=9cf3716f3683d800df8b150f256ff66dad65faf13a9d67c284f67a9444d28c70
 
 post_install() {
 	vlicense LICENSE

From c84db57aba1bca375930c99965f48356563daca0 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 4 Jun 2019 03:50:40 -0700
Subject: [PATCH 2/2] sway: update to 1.1.1

---
 srcpkgs/sway/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/sway/template b/srcpkgs/sway/template
index e998f70b04f..1b3218df80b 100644
--- a/srcpkgs/sway/template
+++ b/srcpkgs/sway/template
@@ -1,19 +1,19 @@
 # Template file for 'sway'
 pkgname=sway
-version=1.0
+version=1.1.1
 revision=1
 build_style=meson
 conf_files="/etc/sway/config"
 hostmakedepends="pkg-config wayland-devel scdoc git"
 makedepends="wlroots-devel wayland-devel wayland-protocols pcre-devel
  json-c-devel pango-devel cairo-devel gdk-pixbuf-devel"
-depends="xorg-server-xwayland"
+depends="swaybg xorg-server-xwayland"
 short_desc="Tiling Wayland compositor compatible with i3"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="MIT"
 homepage="https://swaywm.org"
 distfiles="https://github.com/swaywm/${pkgname}/archive/${version}.tar.gz"
-checksum=24dafd0f1e630e97a5dd47233841adf856b665e2321d6207acfe6b3002d1bc56
+checksum=740bf97556c54da83937a255113d715aaa05e05b44d61fbe85e01b53ff1f9922
 
 post_install() {
 	vlicense LICENSE
